# We will always respect your privacy.

We believe privacy should be a fundamental right. When using Stract, you can rest assured that we do everything
possible to keep your private information the way it's supposed to be - private.
We mostly do this by simply not storing any of your private information at all.
This keeps things simple, both for you and for us.

Here is a brief overview of your privacy:

- We don't store your IP address.
- We don't store any information that can be used to fingerprint your device, browser etc.
- We don't share any user data with any third parties.
- We collect only the data needed to provide and improve the service.
- We serve all content directly from our servers to prevent tracking from third parties.
- We use HTTPS encryption everywhere.

By default, we do store some usage statistics in order to improve the search
results. Specifically the following information is stored for each search:

- The text used to perform the search.
- The list of urls returned for the search.
- Whether or not any of the results were clicked and if so, which one.
- An id that is autogenerated and unique for each new search.
- A timestamp rounded down to the nearest hour.

This data is solely used to train our ranking models which improves the search
results for everyone. We go to great lengths not to store anything that can tie
your searches back to you or even figure out which searches were performed by
the same individual. We hope you trust us with this limited data as it helps us
improve our services tremendously. You can opt-out of this at any time from the
[settings page](/settings/privacy) and we won't store anything at all.

You don't have to take our word for these claims as our
[source code is available to everyone.](https://github.com/StractOrg/stract)

## Browser Features

Most of the site should function with only a minimal set of browser features enabled. We use javascript and some other browser features to optionally enhance the user experience in some places. We try to provide an overview here so you can optionally enable the features and functionality you want to use.

- [LocalStorage](https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage) is used to store your optics and all other settings. The preferences that influence the search results, e.g. liked/disliked/blocked sites, gets send to the backend in the GET request parameters of your search.
- [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) is used in a number of places but we strive to solely use it to enhance the user experience. You should be able to perform searches and find similar sites in 'explore' without javascript enabled. Please [submit a bug report](https://github.com/StractOrg/stract/issues/new) if this is not the case so we can look into it. Javascript is however needed to provide functionality like changing your settings, liking/disliking sites, managing optics, easily remove a single site in 'explore' etc.
- [SSE](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events) are used to stream the summary back to your browser when you request to summarize a search result.

We do not use any first-party, and especially not third-party, cookies.

## Terms of Service

Keep in mind that all services provided in Stract are provided “as is” and there
are no warranties. By using our services you agree with the following terms.

#### Introduction

These Terms of Service ("Terms") govern your use of Stract (the "Services").

#### Privacy Policy

We use the information we receive through the Services as described in our
Privacy Policy which can be found at the top of this site.

#### Source code

The source code for Stract is distributed under the license described in the
[git repository.](https://github.com/StractOrg/Stract/blob/main/LICENSE.md)

#### Indemnification

You agree to defend, indemnify and hold harmless Stract, its contractors,
contributors, licensors, and partners, and their respective directors, officers,
employees and agents ("Indemnified Parties") from and against any and all third
party claims and expenses, including attorneys' fees, arising out of or related
to your use of the Services.

#### Limitation of Liability

THE SERVICES ARE PROVIDED "AS IS" WITH ALL FAULTS. TO THE EXTENT PERMITTED BY LAW,
STRACT AND THE INDEMNIFIED PARTIES HEREBY DISCLAIM ALL WARRANTIES, WHETHER EXPRESS OR IMPLIED,
INCLUDING WITHOUT LIMITATION WARRANTIES THAT THE SERVICES ARE FREE OF DEFECTS, MERCHANTABLE,
FIT FOR A PARTICULAR PURPOSE, AND NON-INFRINGING. YOU BEAR THE ENTIRE RISK AS TO USING THE
SERVICES FOR YOUR PURPOSES AND AS TO THE QUALITY AND PERFORMANCE OF THE SERVICES, INCLUDING
WITHOUT LIMITATION THE RISK THAT YOUR HARDWARE, SOFTWARE, OR CONTENT IS DELETED OR CORRUPTED,
OR THAT SOMEONE ELSE GAINS UNAUTHORIZED ACCESS TO YOUR INFORMATION.
THIS LIMITATION WILL APPLY NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY.
SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION
OF IMPLIED WARRANTIES, SO THIS DISCLAIMER MAY NOT APPLY TO YOU.

EXCEPT AS REQUIRED BY LAW, STRACT AND THE INDEMNIFIED PARTIES WILL NOT BE LIABLE FOR ANY
INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, OR EXEMPLARY DAMAGES ARISING OUT OF OR IN
ANY WAY RELATING TO THESE TERMS OR THE USE OF OR INABILITY TO USE THE SERVICES, INCLUDING
WITHOUT LIMITATION DIRECT AND INDIRECT DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOST
PROFITS, LOSS OF DATA, AND COMPUTER FAILURE OR MALFUNCTION, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGES AND REGARDLESS OF THE THEORY (CONTRACT, TORT, OR OTHERWISE) UPON WHICH SUCH
CLAIM IS BASED. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL,
CONSEQUENTIAL, OR SPECIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.

#### Modifications to these

Terms Stract may update these Terms from time to time to address a new feature
of the Services or to clarify a provision. The updated Terms will be posted
online. If the changes are substantive, we will announce the update through
Stract's usual channels for such announcements such as Discord. Your continued
use of the Services after the effective date of such changes constitutes your
acceptance of such changes.

#### Miscellaneous

These Terms constitute the entire agreement between you and Stract concerning
the Services and are governed by the laws of Denmark, excluding its conflict of
law provisions. If any portion of these Terms is held to be invalid or
unenforceable, the remaining portions will remain in full force and effect. In
the event of a conflict between a translated version of these terms and the
English language version, the English language version shall control.

## Changelog

#### 10-03-2024:

Added overview of which browser features that are used.

#### 16-08-2023:

No data is stored anymore when using Alice, so removed the section.

#### 25-06-2023:

Specified what data might be stored when using Alice.

#### 17-03-2023:

Added which usage statistics are stored.

#### 22-09-2022:

Initial commit
